Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1193067 - Ruby DNS Resolv broken when resolv.conf has option ndots > 1
Summary: Ruby DNS Resolv broken when resolv.conf has option ndots > 1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ruby
Version: 6.5
Hardware: All
OS: All
urgent
high
Target Milestone: rc
: ---
Assignee: Vít Ondruch
QA Contact: Iveta Wiedermann
URL:
Whiteboard:
Depends On: 1132704
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-16 14:04 UTC by Jan Kurik
Modified: 2019-09-12 08:15 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Due to a bug in its name canonicalization mechanism, the Resolv DNS resolver was not able to perform simple lookup operations when the value of the "ndots" option in the resolv.conf file was greater than 1. This could lead to a variety of failures in users' configuration management system, such as the Puppet management tool, and in their provisioning system. This update fixes the canonicalization, which allows Resolv to perform lookups correctly and prevents the described problems.
Clone Of: 1132704
Environment:
Last Closed: 2015-03-02 08:43:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0274 0 normal SHIPPED_LIVE ruby bug fix update 2015-03-02 13:42:50 UTC
Ruby 10412 0 None None None Never

Description Jan Kurik 2015-02-16 14:04:14 UTC
This bug has been copied from bug #1132704 and has been proposed
to be backported to 6.6 z-stream (EUS).

Comment 6 errata-xmlrpc 2015-03-02 08:43:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0274.html


Note You need to log in before you can comment on or make changes to this bug.